ApiDQ license get service

ApiDQ license get service #

The service allows you to get information about the current ApiDQ license: status, expiration date, and validity flag.

The service is available on the standalone server: requests are sent to the address of your gateway (http://127.0.0.1:8080 in the examples).

Method address #

GET /api/v1/license

Query parameters #

This method takes no parameters.

Request data example #

curl "http://127.0.0.1:8080/api/v1/license" \
     -H 'Content-Type: application/json' \
     -H 'Accept: application/json'

Response options #

ParameterDescription
isValidWhether the license is valid
statusLicense status code
messageHuman-readable description of the status
expiresAtLicense expiration date (ISO 8601 format)

If automatic license prolongation is configured (the ProlongationServer parameter in address-config.toml), expiresAt contains the expiration date of the prolonged license, otherwise - the expiration date of the license key. The LICENSE_STATUS_EXPIRING status is returned when less than 7 days remain until the license expires.

Possible status values #

ValuemessageisValid
LICENSE_STATUS_OKLicense is activetrue
LICENSE_STATUS_EXPIRINGLicense is expiring soontrue
LICENSE_STATUS_EXPIREDLicense has expiredfalse
LICENSE_STATUS_INVALIDLicense is invalidfalse
LICENSE_STATUS_NOT_FOUNDLicense not foundfalse

Response data example #

{
  "isValid": true,
  "status": "LICENSE_STATUS_OK",
  "message": "License is active",
  "expiresAt": "2026-07-01T00:00:00Z"
}